function p.get_is_solid()
    return true
end

function p.get_tex()
    return "block_bathroom2"
end

function p.main()
    set_default_block("r_bathroom2")
    
    std.create_tube(3, "y", "e")
    std.create_center(5,"e")
    
    local msg_str = "The file \"test_image_block.lua\" "
        .. "describes the block below.\n\n"
        .. "Notice that the file has the function "
        .. "\"^x00ff00get_tex^!\". "
        .. "That function specifies the texture to be used "
        .. "for the block. Right now, the texture "
        .. "\"testing123\" is being used.\n\n"
        .. "Now open the file "
        .. "\"^x00ff00Textures/texture_names.txt^!\" and read it. "
        .. "Look for the texture name \"testing123\". "
        .. "Then go to the next room. "
    add_bent_s(7,7,8,"bent_base_txt",msg_str)

    set_pos(7,7,6,"test_image_block")
end
